#!/usr/bin/env bash

set -e

source $(dirname $0)/../tools/env.sh

export DESTDIR=$PWD/pkgroot
export SKIP_ADD_TO_PORTS_LIST=1

source $LUNA_ROOT/ports/$1/package.sh

mkdir pkgroot

$LUNA_ROOT/ports/add-port.sh $pkgname

cd pkgroot

tar cJf ../$pkgname-$pkgver.pkg.tar.xz *

cd -

rm -rf pkgroot

echo "Built package $pkgname-$pkgver.pkg.tar.xz"