#include <luna/syscall.h>
#include <stdarg.h>
#include <stdint.h>
#include <sys/ioctl.h>
#include <sys/syscall.h>

extern "C"
{
    int ioctl(int fd, int cmd, ...)
    {
        va_list ap;
        va_start(ap, cmd);
        long result = __lc_fast_syscall3(SYS_ioctl, fd, cmd, va_arg(ap, uintptr_t));
        va_end(ap);
        return (int)result;
    }
}